### Function

# Gtk rgb_to_hsv

#### Declaration [src]

    void
    gtk_rgb_to_hsv (
      float r,
      float g,
      float b,
      float* h,
      float* s,
      float* v
    )

#### Description [src]

Converts a color from RGB space to HSV.

Input values must be in the [0.0, 1.0] range; output values will be in the same range.

#### Parameters

`r` | `float`
| Red.
`g` | `float`
| Green.
`b` | `float`
| Blue.
`h` | `float*`
| Return value for the hue component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`s` | `float*`
| Return value for the saturation component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`v` | `float*`
| Return value for the value component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.